.main-scrolling-deatil-image img {
    display: block;
    width: 100%;
    height: 93dvh;
    object-fit: cover;
    max-width: 100%;
}

.main-scrolling-step-image img {
    display: block;
    max-width: 486px;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.scrolling-block-details {
    padding-top: var(--padding-top-desktop);
    padding-bottom: var(--padding-bottom-desktop);
}



h2.scroll-details-title {
    font-size: var(--font-size);
    font-family: 'GT America Bold' !important;
    color: #000;
    text-align: center;
}

.main-scrolling-step-title h4 {
    font-family: 'GT America Bold' !important;
    font-size: 30px;
    color: #000000;
    text-align: center;
}

.main-scrolling-step-content p {
    font-size: 20px;
    color: #000000;
    line-height: 1.3;
    max-width: 25.2604vw;
    text-align: center;
    margin: 18px 0 0 0;
}

.scroll-items-main {
    width: fit-content;
}

.main-scrolling-step-title {
    margin: 22px 0 0 0;
}

.main-scrolling-deatil-image {
    transition: all 0.5s;
}



@media(min-width: 991px) {
    .scroll-items-main .scrolling-content-step-itms {
        opacity: 0;
        transform: translateY(100%);
        transition: all 0.7s;
    }

    .main-scrolling-step-image img {
        max-width: 25.3125vw;
    }

    h2.scroll-details-title {
        font-size: var(--font-size);
        max-width: 50%;
        transform: translateY(100%);
        transition: all 0.7s;
        position: absolute;
        left: 0;
        right: 0;
        margin: 0 auto;
        top: 35%;
    }

    .main-scrolling-details-items {
        position: sticky;
        height: calc(100vh - 82px);
        top: 82px;
    }

    .scrolling-block-details {
        height: 300vh;
    }

    .scrolling-details-right-content {
        position: absolute;
        top: 0;
        right: 0;
        width: 50%;
        transform: translateY(100%);
        opacity: 0;
        transition: all .6s;
        height: 100%;
    }

    .scroll-items-main.active.animated .scrolling-content-step-itms {
        transform: translateY(-100%);
        opacity: 0;
    }

    .scroll-items-main.active .scrolling-content-step-itms {
        transform: translateY(0);
        opacity: 1;
    }

    .scrolling-content-step-itms {
        transform: translateY(100%);
        /* opacity: 0; */
        transition: all .7s;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        height: calc(100dvh - 82px);
    }

    .scroll-items-main {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
    }

    .scrolling-block-details-items {
        position: relative;
    }
}

@media(max-width: 1440px) {
    h2.scroll-details-title {
        font-size: 48px;
        max-width: 60%;
    }
}

@media(max-width: 1024px) {
    .main-scrolling-step-content p {
        font-size: 16px;
    }

    .main-scrolling-step-title h4 {
        font-size: 25px;
    }
}

@media(max-width: 991px) {
    .scrolling-details-right-content {
        padding: 0 20px;
    }

    .main-scrolling-step-content p {
        max-width: 487px;
    }

    .main-scrolling-deatil-image img {
        height: 100%;
        aspect-ratio: 4/4;
    }

    h2.scroll-details-title {
        font-size: var(--font-size-mob);
        max-width: 100%;
        margin: 17px 0;
        text-align: center;
    }
}

@media(max-width: 749px) {
    .main-scrolling-step-title h4 {
        font-size: 16px;
    }

    .main-scrolling-step-content p {
        font-size: 14px;
        margin: 10px 0 0 0;
    }
}